<?php
/**
 *
 */

namespace CMSMSExt\core;

/**
 * Trait TOverloadable
 *
 * @package CMSMSExt\core
 */
trait TOverloadable
{
  
  /**
   * @param string $name
   *
   * @return mixed
   */
  public function __get($name)
  {
    return $this->_data[$name] ?? NULL;
  }
  
  /**
   * @param string $name
   * @param mixed  $value
   *
   * @return mixed
   */
  public function __set($name, $value)
  {
    $this->_data[$name] = $value;
    return $this;
  }
  
  /**
   * @param string $name
   *
   * @return bool
   */
  public function __isset($name)
  {
    return isset($this->_data[$name]);
  }
  
  
}

?>